TV
curl --request GET \
--url https://api.themoviedb.org/3/search/tv \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/search/tv"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/search/tv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/e2VJlbpOXt3U51FaHqyI6NZNNVE.jpg",
"first_air_date": "2000-10-16",
"genre_ids": [
16,
18
],
"id": 20101,
"name": "Android Kikaider",
"origin_country": [
"JP"
],
"original_language": "ja",
"original_name": "人造人間キカイダー THE ANIMATION",
"overview": "The genius robotics professor Dr. Komyoji has created Jiro, a humanoid robot. Gifted with a conscience circuit, he has the power to simulate real emotions that help to distinguish between “right and wrong”.\n\nJiro must protect Mitsuko and Masaru from the evil Dr. Gil who wants Jiro to join his army and aid in his goal of world domination.",
"popularity": 28.58,
"poster_path": "/6kjsZbqHXs9qo1N7q1z8R4PCdpq.jpg",
"vote_average": 6.3,
"vote_count": 3
}
],
"total_pages": 1,
"total_results": 1
}TV
This endpoint search for TV shows by their original, translated and also known as names.
GET
/
3
/
search
/
tv
TV
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Example:
"animation"
Search only the first air date. Valid values are- 1000..9999
Example:
2000
Search the first air date and all episode air dates. Valid values are- 1000..9999
Example:
""
Response
200 - application/json
TV
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/e2VJlbpOXt3U51FaHqyI6NZNNVE.jpg",
"first_air_date": "2000-10-16",
"genre_ids": [16, 18],
"id": 20101,
"name": "Android Kikaider",
"origin_country": ["JP"],
"original_language": "ja",
"original_name": "人造人間キカイダー THE ANIMATION",
"overview": "The genius robotics professor Dr. Komyoji has created Jiro, a humanoid robot. Gifted with a conscience circuit, he has the power to simulate real emotions that help to distinguish between “right and wrong”.\n\nJiro must protect Mitsuko and Masaru from the evil Dr. Gil who wants Jiro to join his army and aid in his goal of world domination.",
"popularity": 28.58,
"poster_path": "/6kjsZbqHXs9qo1N7q1z8R4PCdpq.jpg",
"vote_average": 6.3,
"vote_count": 3
}
]
Example:
1
Example:
1
⌘I